org.eclipse.mat.internal.snapshot

## Class HeapObjectArgumentFactory

- java.lang.Object
- - org.eclipse.mat.internal.snapshot.HeapObjectArgumentFactory

All Implemented Interfaces:
  ArgumentFactory

Direct Known Subclasses:
  HeapObjectContextArgument, HeapObjectParamArgument

    public abstract class HeapObjectArgumentFactory
    extends Object
    implements ArgumentFactory

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`Object` `build(ArgumentDescriptor argument)`
`static ArgumentFactory` `build(ISnapshot snapshot, IHeapObjectArgument argument)`
`static ArgumentFactory` `build(ISnapshot snapshot, int[] objectIds)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.mat.query.registry.ArgumentFactory

`appendUsage`

### Method Detail

#### build

    public static final ArgumentFactory build(ISnapshot snapshot,
                                              int[] objectIds)

#### build

    public static final ArgumentFactory build(ISnapshot snapshot,
                                              IHeapObjectArgument argument)

#### build

    public Object build(ArgumentDescriptor argument)
                 throws SnapshotException

Specified by:
  `build` in interface `ArgumentFactory`
Throws:
  `SnapshotException`